Subject: Re: bug#36828: 27.0.50; Uninstalled emacs shows installed documentation

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Jul 2019 21:48:08 +0300

> From: Štěpán Němec <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 29 Jul 2019 20:33:46 +0200
> 
> In the special case considered, do you agree that it would be better if
> Emacs recognized that it was started from the source tree and showed the
> corresponding NEWS file instead of the one installed?

In the situation described by Óscar, where the "installed" version
wound up there by accident, sure.  But I don't think Emacs can
discover that by just looking at the filesystem.

In a more general use case, where there are two copies of NEWS in two
places where Emacs looks, not so sure.  It could be the other way
around: the "installed" version could be a better candidate.  E.g.,
when I have installed some version on my systems, I make changes in
the installation tree, because it's simpler: it doesn't require me to
say "make install".